Bug 181094 - [maintainer update] update lang/basic256 to 0.9.9.64
Summary: [maintainer update] update lang/basic256 to 0.9.9.64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Veniamin Gvozdikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-06 19:00 UTC by Fernando Apesteguía
Modified: 2013-08-25 10:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.28 KB, patch)
2013-08-06 19:00 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2013-08-06 19:00:00 UTC
Update lang/basic256 to 0.9.9.64

There is no official release notes and the upstream project didn't provide any other information besides some "There are a few minor changes but the big ones plug a couple of memory leaks with arrays and variables"

Fix: Apply the attached patch.

It's been tested on redports.org for amd64[1] and i386[2]

Notice that I had to add MAKE_JOBS_UNSAFE=yes since it doesn't seem safe to build the port in parellel.

[1]https://redports.org/~fernape/20130805210600-59856-136118/basic256-0.9.9.64.log
[2]https://redports.org/~fernape/20130805210600-59856-136119/basic256-0.9.9.64.log

Patch attached with submission follows:
Comment 1 Veniamin Gvozdikov freebsd_committer 2013-08-07 12:05:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vg

I will take it.
Comment 2 dfilter service freebsd_committer 2013-08-25 10:14:46 UTC
Author: vg
Date: Sun Aug 25 09:14:39 2013
New Revision: 325334
URL: http://svnweb.freebsd.org/changeset/ports/325334

Log:
  - Update to 0.9.9.64
  
  PR:		ports/181094
  Submitted by:	Fernando <fernando.apesteguia@gmail.com> (maintainer)
  Approved by:	eadler (mentor)

Modified:
  head/lang/basic256/Makefile
  head/lang/basic256/distinfo
  head/lang/basic256/pkg-plist

Modified: head/lang/basic256/Makefile
==============================================================================
--- head/lang/basic256/Makefile	Sun Aug 25 09:07:50 2013	(r325333)
+++ head/lang/basic256/Makefile	Sun Aug 25 09:14:39 2013	(r325334)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	basic256
-PORTVERSION=	0.9.9.58
+PORTVERSION=	0.9.9.64
 CATEGORIES=	lang
 MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=	kidbasic/${PORTNAME}
@@ -24,6 +24,8 @@ USE_QT4=	corelib gui network xml webkit 
 USE_DOS2UNIX=	yes
 HAS_CONFIGURE=	yes
 
+MAKE_JOBS_UNSAFE=yes
+
 do-configure:
 	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
 	${QMAKE} "PREFIX=${PREFIX}" BASIC256.pro

Modified: head/lang/basic256/distinfo
==============================================================================
--- head/lang/basic256/distinfo	Sun Aug 25 09:07:50 2013	(r325333)
+++ head/lang/basic256/distinfo	Sun Aug 25 09:14:39 2013	(r325334)
@@ -1,2 +1,2 @@
-SHA256 (basic256_0.9.9.58.tgz) = d4f72d7bd4e73b9d8754d7e083fafff199b9e7d9d5330b2f1909308d3b1fa3b5
-SIZE (basic256_0.9.9.58.tgz) = 1684680
+SHA256 (basic256_0.9.9.64.tgz) = 8a3a5f919502d98329e3922eb656d76bd69142e7bbb31c8cf5d78af1fbd3b991
+SIZE (basic256_0.9.9.64.tgz) = 1919053

Modified: head/lang/basic256/pkg-plist
==============================================================================
--- head/lang/basic256/pkg-plist	Sun Aug 25 09:07:50 2013	(r325333)
+++ head/lang/basic256/pkg-plist	Sun Aug 25 09:14:39 2013	(r325334)
@@ -803,10 +803,16 @@ bin/BASIC256
 %%DATADIR%%/help/graphicsutilitiesstampmaker.html
 %%DATADIR%%/help/graphicsutility.html
 %%DATADIR%%/help/index.html
+%%DATADIR%%/help/jp_start.html
+%%DATADIR%%/help/lib/exe/alert.png
 %%DATADIR%%/help/lib/exe/arc_example.png
 %%DATADIR%%/help/lib/exe/basic256.png
 %%DATADIR%%/help/lib/exe/chord_example.png
+%%DATADIR%%/help/lib/exe/circle.png
+%%DATADIR%%/help/lib/exe/color.png
+%%DATADIR%%/help/lib/exe/confirm.png
 %%DATADIR%%/help/lib/exe/css1353871590.css
+%%DATADIR%%/help/lib/exe/css1364650667.css
 %%DATADIR%%/help/lib/exe/de.png
 %%DATADIR%%/help/lib/exe/en.png
 %%DATADIR%%/help/lib/exe/en_cir.png
@@ -835,8 +841,13 @@ bin/BASIC256
 %%DATADIR%%/help/lib/exe/fr_cos.jpg
 %%DATADIR%%/help/lib/exe/fr_sin.jpg
 %%DATADIR%%/help/lib/exe/fr_tan.jpg
+%%DATADIR%%/help/lib/exe/gamesballoons.png
+%%DATADIR%%/help/lib/exe/gamescopycat.png
+%%DATADIR%%/help/lib/exe/gamesspinner.png
+%%DATADIR%%/help/lib/exe/graphicsutilitiesstamp2sprite.png
 %%DATADIR%%/help/lib/exe/jmreneau_mobius.png
 %%DATADIR%%/help/lib/exe/jmreneau_morie.png
+%%DATADIR%%/help/lib/exe/line.png
 %%DATADIR%%/help/lib/exe/nl.png
 %%DATADIR%%/help/lib/exe/nl_array.png
 %%DATADIR%%/help/lib/exe/nl_arrays_disp.png
@@ -855,7 +866,9 @@ bin/BASIC256
 %%DATADIR%%/help/lib/exe/nl_wrong_string.png
 %%DATADIR%%/help/lib/exe/opensearch.php
 %%DATADIR%%/help/lib/exe/pie_chart.png
+%%DATADIR%%/help/lib/exe/prompt.png
 %%DATADIR%%/help/lib/exe/pt.png
+%%DATADIR%%/help/lib/exe/rect.png
 %%DATADIR%%/help/lib/exe/ro.png
 %%DATADIR%%/help/lib/exe/ru.png
 %%DATADIR%%/help/lib/exe/ru_cir.png
@@ -865,6 +878,7 @@ bin/BASIC256
 %%DATADIR%%/help/lib/exe/ru_radians.png
 %%DATADIR%%/help/lib/exe/ru_stamp.png
 %%DATADIR%%/help/lib/exe/sp.png
+%%DATADIR%%/help/lib/exe/stampmaker.png
 %%DATADIR%%/help/lib/images/license/button/cc-by-nc-sa.png
 %%DATADIR%%/help/lib/images/smileys/fixme.gif
 %%DATADIR%%/help/lib/images/smileys/icon_exclaim.gif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Veniamin Gvozdikov freebsd_committer 2013-08-25 10:15:15 UTC
State Changed
From-To: open->closed

Committed, thank you!